#include <stdio.h>
int main(){
    int max=0, idx=0, v;
    for (int i=0; i<9; i++){
        scanf("%d",&v);
        if(v>max){
            max = v;
            idx = i+1;
        }
    }
    printf("%d\n%d",max,idx);
    return 0;
}